Bug 57396 - convert won't read RAW format images
convert won't read RAW format images
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2001-12-11 11:17 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-12 08:03:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-11 11:17:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [fr] (X11; U; Linux 2.2.17-14 i686)

Description of problem:
when asking the convert utility to convert a RAW image into something else,
it hangs instead of returning after a short time.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. dd if=/dev/zero of=zaroo bs=1k count=256
2. convert -size 512x512 GRAY:zaroo zaroo.pgm
3. wait and watch the load (and wait forever)

Actual Results:  Nothing. Convert just hangs.

Expected Results:  Convert should have returned after a short while and
created a file zaroo.pgm

Additional info:

This very basic function was working with previous (RH71) version.

When compiling the ImageMagick package without the fancy configure options
of the redhat spec file, convert does not hang (although it has a bizarre
behaviour: the default image depth for RAW images is 16 bits instead of the
usual 8 bits per pixel). But I did not try a complete reinstall of
ImageMagick compiled with different options.

Note You need to log in before you can comment on or make changes to this bug.